[OpenWrt-Devel] [PATCH 3/5] kirkwood/dockstar: use ubi(kernel, squashfs, ubifs) images

Alexander Couzens lynxis at fe80.eu
Wed Mar 2 05:12:07 EST 2016


The new image requires `bootz` because of devicetree appending.
To flash a new image boot initramfs:

  tftpboot 0x800000 openwrt-kirkwood-dockstar-initramfs-kernel.bin
  bootz 0x800000

  # detach if already attached
  ubidetach -p /dev/$(grep ubi /proc/mtd|awk -F: '{print $1}')
  # scp openwrt-kirkwood-dockstar-squashfs-factory.bin /tmp
  ubiformat -f /tmp/openwrt-kirkwood-dockstar-squashfs-factory.bin
  # attach is important to resize rootfs_data otherwise it wont boot
  ubiattach -p /dev/$(grep ubi /proc/mtd|awk -F: '{print $1}')

Signed-off-by: Alexander Couzens <lynxis at fe80.eu>
---
 target/linux/kirkwood/base-files/lib/upgrade/platform.sh | 14 ++++++++++++++
 target/linux/kirkwood/image/Makefile                     |  5 +----
 2 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/target/linux/kirkwood/base-files/lib/upgrade/platform.sh b/target/linux/kirkwood/base-files/lib/upgrade/platform.sh
index c33229a..be5f101 100644
--- a/target/linux/kirkwood/base-files/lib/upgrade/platform.sh
+++ b/target/linux/kirkwood/base-files/lib/upgrade/platform.sh
@@ -14,6 +14,10 @@ platform_check_image() {
 		}
 		return 0
 		;;
+	"dockstar")
+		nand_do_platform_check $board $1
+		return $?
+		;;
 	esac
 
 	echo "Sysupgrade is not yet supported on $board."
@@ -30,3 +34,13 @@ platform_do_upgrade() {
 		;;
 	esac
 }
+
+platform_pre_upgrade() {
+	local board=$(kirkwood_board_name)
+
+	case "$board" in
+	"dockstar")
+		nand_do_upgrade $1
+		;;
+	esac
+}
diff --git a/target/linux/kirkwood/image/Makefile b/target/linux/kirkwood/image/Makefile
index 9a2c2e4..bc42bef 100644
--- a/target/linux/kirkwood/image/Makefile
+++ b/target/linux/kirkwood/image/Makefile
@@ -12,7 +12,7 @@ include $(INCLUDE_DIR)/image.mk
 
 DEVICE_VARS += DEVICE_DTS KERNEL_SIZE PAGESIZE BLOCKSIZE SUBPAGESIZE KERNEL_IN_UBI
 KERNEL_LOADADDR:=0x8000
-TARGET_DEVICES = linksys-audi linksys-viper
+TARGET_DEVICES = linksys-audi linksys-viper dockstar
 
 define Device/Default
   KERNEL_DEPENDS = $$(wildcard $(DTS_DIR)/$$(DEVICE_DTS).dts)
@@ -161,9 +161,6 @@ endef
 Image/BuildKernel/Template/Generic=$(call Image/BuildKernel/Template)
 Image/InstallKernel/Template/Generic=$(call Image/InstallKernel/Template)
 
-Image/BuildKernel/Template/DOCKSTAR=$(call Image/BuildKernel/Template,dockstar)
-Image/InstallKernel/Template/DOCKSTAR=$(call Image/InstallKernel/Template,dockstar)
-
 Image/BuildKernel/Template/GOFLEXHOME=$(call Image/BuildKernel/Template,goflexhome)
 Image/InstallKernel/Template/GOFLEXHOME=$(call Image/InstallKernel/Template,goflexhome)
 
-- 
2.7.2
_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/cgi-bin/mailman/listinfo/openwrt-devel


More information about the openwrt-devel mailing list